* bjdisp-rep
* generates results used in mediation paper that are based on the Beijing disputes dataset


********************************************************************
* Table 3: Types of Dispute by Channel Pursued (Beijing, full table)
********************************************************************

clear
use bjdisp

* Raw data for Table 3
tab2 disptype2 seekexp1, m
* Showing the percentages (after each frequency), for lumping, direct, and third party (transposed compared to the printed graph)
tablecol seekexpss disptype2 if seekexp1<., colpct f(%9.1f)
* Showing the percentages, for those seeking third parties (transposed compared to the printed graph)
tablecol seekexp1 disptype2 if seekexp1>2&seekexp1<., colpct f(%9.1f)

***************************************************************************************
* Table 3: Types of Dispute by Channel Pursued (Beijing, abridged version as published)
***************************************************************************************

* Showing the percentages, for lumping, direct, and third party (transposed compared to the printed graph)
tablecol seekexpss disptypes if seekexpss<., colpct f(%9.1f)
* Showing the percentages, for those seeking third parties (transposed compared to the printed graph)
tablecol seekexps disptypes if seekexps>2&seekexps<., colpct f(%9.1f)

************************************************
* Table 7: Assessment of Process, by Third Party
************************************************

* Raw data for Table 7 (the Beijing part):
tab2 seekexp1 processcat if (seekexp1>2)&(seekexp1~=9), chi2

* Percentages (transposed)
tablecol processcat seekexp1 if (seekexp1>2)&(seekexp1~=9), colpct f(%9.1f)

